Package com.independentsoft.graph.mails

# Class MessageRulePredicates

java.lang.Object
com.independentsoft.graph.mails.MessageRulePredicates

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class MessageRulePredicates extends Object implements ICreatable, IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageRulePredicates()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MessageActionFlag`
  `geMessageActionFlag()`
  `List<String>`
  `getBodyContains()`
  `List<String>`
  `getBodyOrSubjectContains()`
  `List<String>`
  `getCategories()`
  `List<EmailAddress>`
  `getFromAddresses()`
  `List<String>`
  `getHeaderContains()`
  `Importance`
  `getImportance()`
  `List<String>`
  `getRecipientContains()`
  `List<String>`
  `getSenderContains()`
  `Sensitivity`
  `getSensitivity()`
  `List<EmailAddress>`
  `getSentToAddresses()`
  `List<String>`
  `getSubjectContains()`
  `SizeRange`
  `getWithinSizeRange()`
  `boolean`
  `hasAttachments()`
  `boolean`
  `isApprovalRequest()`
  `boolean`
  `isAutomaticForward()`
  `boolean`
  `isAutomaticReply()`
  `boolean`
  `isEncrypted()`
  `boolean`
  `isMeetingRequest()`
  `boolean`
  `isMeetingResponse()`
  `boolean`
  `isNonDeliveryReport()`
  `boolean`
  `isNotSentToMe()`
  `boolean`
  `isPermissionControlled()`
  `boolean`
  `isReadReceipt()`
  `boolean`
  `isSentCcMe()`
  `boolean`
  `isSentOnlyToMe()`
  `boolean`
  `isSentToMe()`
  `boolean`
  `isSentToOrCcMe()`
  `boolean`
  `isSigned()`
  `boolean`
  `isVoicemail()`
  `void`
  `setAsApprovalRequest​(boolean isApprovalRequest)`
  `void`
  `setAsAutomaticForward​(boolean isAutomaticForward)`
  `void`
  `setAsAutomaticReply​(boolean isAutomaticReply)`
  `void`
  `setAsEncrypted​(boolean isEncrypted)`
  `void`
  `setAsMeetingRequest​(boolean isMeetingRequest)`
  `void`
  `setAsMeetingResponse​(boolean isMeetingResponse)`
  `void`
  `setAsNonDeliveryReport​(boolean isNonDeliveryReport)`
  `void`
  `setAsNotSentToMe​(boolean isNotSentToMe)`
  `void`
  `setAsPermissionControlled​(boolean isPermissionControlled)`
  `void`
  `setAsReadReceipt​(boolean isReadReceipt)`
  `void`
  `setAsSentCcMe​(boolean isSentCcMe)`
  `void`
  `setAsSentOnlyToMe​(boolean isSentOnlyToMe)`
  `void`
  `setAsSentToMe​(boolean isSentToMe)`
  `void`
  `setAsSentToOrCcMe​(boolean isSentToOrCcMe)`
  `void`
  `setAsSigned​(boolean isSigned)`
  `void`
  `setAsVoicemail​(boolean isVoicemail)`
  `void`
  `setHasAttachments​(boolean hasAttachments)`
  `void`
  `setImportance​(Importance importance)`
  `void`
  `setMessageActionFlag​(MessageActionFlag messageActionFlag)`
  `void`
  `setSensitivity​(Sensitivity sensitivity)`
  `void`
  `setWithinSizeRange​(SizeRange withinSizeRange)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MessageRulePredicates

    public MessageRulePredicates()

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### getBodyContains

    public List<String> getBodyContains()

  - ### getBodyOrSubjectContains

    public List<String> getBodyOrSubjectContains()

  - ### getCategories

    public List<String> getCategories()

  - ### getFromAddresses

    public List<EmailAddress> getFromAddresses()

  - ### hasAttachments

    public boolean hasAttachments()

  - ### setHasAttachments

    public void setHasAttachments​(boolean hasAttachments)

  - ### getHeaderContains

    public List<String> getHeaderContains()

  - ### getImportance

    public Importance getImportance()

  - ### setImportance

    public void setImportance​(Importance importance)

  - ### isApprovalRequest

    public boolean isApprovalRequest()

  - ### setAsApprovalRequest

    public void setAsApprovalRequest​(boolean isApprovalRequest)

  - ### isAutomaticForward

    public boolean isAutomaticForward()

  - ### setAsAutomaticForward

    public void setAsAutomaticForward​(boolean isAutomaticForward)

  - ### isAutomaticReply

    public boolean isAutomaticReply()

  - ### setAsAutomaticReply

    public void setAsAutomaticReply​(boolean isAutomaticReply)

  - ### isEncrypted

    public boolean isEncrypted()

  - ### setAsEncrypted

    public void setAsEncrypted​(boolean isEncrypted)

  - ### isMeetingRequest

    public boolean isMeetingRequest()

  - ### setAsMeetingRequest

    public void setAsMeetingRequest​(boolean isMeetingRequest)

  - ### isMeetingResponse

    public boolean isMeetingResponse()

  - ### setAsMeetingResponse

    public void setAsMeetingResponse​(boolean isMeetingResponse)

  - ### isNonDeliveryReport

    public boolean isNonDeliveryReport()

  - ### setAsNonDeliveryReport

    public void setAsNonDeliveryReport​(boolean isNonDeliveryReport)

  - ### isPermissionControlled

    public boolean isPermissionControlled()

  - ### setAsPermissionControlled

    public void setAsPermissionControlled​(boolean isPermissionControlled)

  - ### isReadReceipt

    public boolean isReadReceipt()

  - ### setAsReadReceipt

    public void setAsReadReceipt​(boolean isReadReceipt)

  - ### isSigned

    public boolean isSigned()

  - ### setAsSigned

    public void setAsSigned​(boolean isSigned)

  - ### isVoicemail

    public boolean isVoicemail()

  - ### setAsVoicemail

    public void setAsVoicemail​(boolean isVoicemail)

  - ### geMessageActionFlag

    public MessageActionFlag geMessageActionFlag()

  - ### setMessageActionFlag

    public void setMessageActionFlag​(MessageActionFlag messageActionFlag)

  - ### isNotSentToMe

    public boolean isNotSentToMe()

  - ### setAsNotSentToMe

    public void setAsNotSentToMe​(boolean isNotSentToMe)

  - ### getRecipientContains

    public List<String> getRecipientContains()

  - ### getSenderContains

    public List<String> getSenderContains()

  - ### getSensitivity

    public Sensitivity getSensitivity()

  - ### setSensitivity

    public void setSensitivity​(Sensitivity sensitivity)

  - ### isSentCcMe

    public boolean isSentCcMe()

  - ### setAsSentCcMe

    public void setAsSentCcMe​(boolean isSentCcMe)

  - ### isSentOnlyToMe

    public boolean isSentOnlyToMe()

  - ### setAsSentOnlyToMe

    public void setAsSentOnlyToMe​(boolean isSentOnlyToMe)

  - ### getSentToAddresses

    public List<EmailAddress> getSentToAddresses()

  - ### isSentToMe

    public boolean isSentToMe()

  - ### setAsSentToMe

    public void setAsSentToMe​(boolean isSentToMe)

  - ### isSentToOrCcMe

    public boolean isSentToOrCcMe()

  - ### setAsSentToOrCcMe

    public void setAsSentToOrCcMe​(boolean isSentToOrCcMe)

  - ### getSubjectContains

    public List<String> getSubjectContains()

  - ### getWithinSizeRange

    public SizeRange getWithinSizeRange()

  - ### setWithinSizeRange

    public void setWithinSizeRange​(SizeRange withinSizeRange)